#ifndef __TARGET_H 
#define __TARGET_H

#ifdef __cplusplus
extern "C" {
#endif

/*********************************************************************************************************
    System Clock(CCLK) ݒ
    If PLL_EN=0, CCLK=EXT_CLK/CCLK_DIV, CCLK must <=20MHZ/50MHz 
    If PLL_EN>0, CCLK=200MHz/CCLK_DIV, CCLK must <=20MHZ/50MHz
*********************************************************************************************************/
#define  EXT_CLK        SYSCTL_XTAL_8MHZ
#define  PLL_EN      	1
#define  CCLK_DIV       SYSCTL_SYSDIV_4

/*********************************************************************************************************
    TASK PRIORITIES
*********************************************************************************************************/
#define TASK_UDP_Process_PRIO 2
#define TASK_TCP_Process_PRIO 3
#define TASK_ARP_Process_PRIO 4

/*********************************************************************************************************
    TASK STACK SIZES
*********************************************************************************************************/
#define TASK_UDP_Process    512
#define TASK_TCP_Process    512
#define TASK_ARP_Process    100

/*********************************************************************************************************
    ֐vg^CsO
*********************************************************************************************************/

/*********************************************************************************************************
    荞݃Rg[ׂ̂Ă̊荞݂𖳌
*********************************************************************************************************/
extern void intDisAll(void);

/*********************************************************************************************************
    VXe^C}̃^CAEg荞݃nh
*********************************************************************************************************/
extern void tickISRHandler(void);

/*********************************************************************************************************
    UDP^XN
*********************************************************************************************************/
extern void UDP_Process(void *pdata);

/*********************************************************************************************************
    TCP^XN
*********************************************************************************************************/
extern void TCP_Process(void *pdata);

/*********************************************************************************************************
    ^[Qbg{[h̏
*********************************************************************************************************/
extern void targetInit(void);

/*********************************************************************************************************
    ARP^XN
*********************************************************************************************************/
extern void ARP_Process(void *pdata);
#ifdef __cplusplus
    }
#endif

#endif

/*********************************************************************************************************
    END FILE 
*********************************************************************************************************/
