#ifdef ETHERNET_GLOBALS
	#define ETHERNET_EXT
#else
	#define ETHERNET_EXT extern 
#endif 
#define IP_PACKED	0x01
#define ARP_PACKED	0x02
#define MAX_NET_PORT	0x01

typedef struct
{
	uint8 DestMacId[6];
	uint8 SourceMacId[6];
	uint16 NextProtocal;
} ipethernet;

typedef struct
{ 
	uint8 IP[4];
} IP_NUMBER;

typedef struct
{
	uint8 My_Ip[4];
	uint8 My_Gateway[4];
	uint8 My_Ip_Mark[4];
	uint8 My_Mac[6];
	uint8 My_Gateway_Mac[6];
	uint8 Gateway_IP_TTL;
	struct a_t ARP_TERM[MAX_ARP_TERM];
} NetP;

ETHERNET_EXT NetP NetPort[MAX_NET_PORT];
ETHERNET_EXT uint8 Send_ethernet_Frame(struct _pkst *TxdData, uint8 *de_mac, uint8 PROTOCOL, uint8 num);
ETHERNET_EXT uint8 Send_Ip_To_LLC(struct _pkst *TxdData, uint8 *de_ip,uint8 num);
ETHERNET_EXT uint8 Rec_Ethernet_Packed(uint8 * RecData,uint8 num) ;
ETHERNET_EXT void SetNetPort(void);
