#include "..\User\includes.h"

/********************************************************************************************
    USER TASK PRIORITIES
********************************************************************************************/
#define TASK_START_PRIO     0
#define TASK_LED_PRIO       15
#define TASK_OLED_PRIO      6

/********************************************************************************************
    USER TASK STACK SIZES
********************************************************************************************/
#define TASK_Startup_STACK    500
#define TASK_LED_STACK        500
#define TASK_OLED_STACK       500

/********************************************************************************************
    USER TASK STACK
********************************************************************************************/
OS_STK TASK_Startup_stack[TASK_Startup_STACK];
OS_STK TASK_LED_stack[TASK_LED_STACK];
OS_STK TASK_OLED_stack[TASK_OLED_STACK];

/********************************************************************************************
    USER TASK
********************************************************************************************/
/********************************************************************************************
    OLED\^XN
********************************************************************************************/
void Task_OLED(void *pdata)
{
    // \镶z`Ő錾
    char str_1[] = "ARM Challenger";
    char str_2[] = {'A', 'D', 'W', 'I', 'N', '\0'};
    
    // OLED̏
    RIT128x96x4Init(1000000);
    
    // eOLEDɕ\
    RIT128x96x4StringDraw("HELLO WORLD", 0, 0, 15);
    RIT128x96x4StringDraw(str_1, 0, 16, 10);
    RIT128x96x4StringDraw(str_2, 0, 32, 5);

    while (1)
    {
        // ԑ҂
        OSTimeDly(OS_TICKS_PER_SEC / 100);
    }
}

/********************************************************************************************
    LED_Ń^XN
********************************************************************************************/
void Task_LED(void *pdata)
{
    // LED1̃ytFݒ
    SysCtlPeripheralEnable(SYSCTL_PERIPH_GPIOF);
    GPIOPinTypeGPIOOutput(GPIO_PORTF_BASE, GPIO_PIN_0);

    while (1)
    {
        // StatusLED1bœ_
        GPIOPinWrite(GPIO_PORTF_BASE, GPIO_PIN_0, GPIO_PIN_0);
        OSTimeDly(OS_TICKS_PER_SEC / 2);
        GPIOPinWrite(GPIO_PORTF_BASE, GPIO_PIN_0, 0);
        OSTimeDly(OS_TICKS_PER_SEC / 2);
    }
}

/********************************************************************************************
    X^[gAbv^XN
********************************************************************************************/
void Task_Startup (void  *pdata)
{ 
    // ^[Qbg
    targetInit();
    
    // [U[^XN쐬
    OSTaskCreate(Task_LED, (void *)0, &TASK_LED_stack[TASK_LED_STACK - 1], TASK_LED_PRIO);
    OSTaskCreate(Task_OLED, (void *)0, &TASK_OLED_stack[TASK_OLED_STACK - 1], TASK_OLED_PRIO);

    while (1)
    {
        // ԑ҂
        OSTimeDly(OS_TICKS_PER_SEC / 100);
    }
}

/********************************************************************************************
    C
********************************************************************************************/
void main (void)
{
    // OS
    OSInit();
    
    // X^[gAbv^XN쐬
    OSTaskCreate(Task_Startup, (void *)0, &TASK_Startup_stack[TASK_Startup_STACK - 1], TASK_START_PRIO);

    // OSX^[g
    OSStart();
}

/********************************************************************************************
    END FILE 
********************************************************************************************/
